hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (HBASE-7910) Dont use reflection for security
Date Mon, 21 Jul 2014 18:00:45 GMT

    [ https://issues.apache.org/jira/browse/HBASE-7910?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14068900#comment-14068900
] 

Andrew Purtell edited comment on HBASE-7910 at 7/21/14 5:59 PM:
----------------------------------------------------------------

The 0.96 build is complaining:
{noformat}
[ERROR] COMPILATION ERROR : 
[ERROR] /home/jenkins/jenkins-slave/workspace/hbase-0.96/hbase-common/src/main/java/org/apache/hadoop/hbase/security/User.java:[253,28]
error: cannot find symbol
{noformat}
Looks like a patch misapplication. Committing an addendum.


was (Author: apurtell):
The 0.96 build is complaining:
{noformat}
[ERROR] COMPILATION ERROR : 
[ERROR] /home/jenkins/jenkins-slave/workspace/hbase-0.96/hbase-common/src/main/java/org/apache/hadoop/hbase/security/User.java:[253,28]
error: cannot find symbol
{noformat}
Looks like a patch misapplication, because the build passed locally for me. Committing an
addendum.

> Dont use reflection for security
> --------------------------------
>
>                 Key: HBASE-7910
>                 URL: https://issues.apache.org/jira/browse/HBASE-7910
>             Project: HBase
>          Issue Type: Improvement
>            Reporter: Enis Soztutar
>            Assignee: Mike Drob
>              Labels: noob
>             Fix For: 0.99.0, 0.96.3, 0.98.5, 0.94.22, 2.0.0
>
>         Attachments: HBASE-7910-0.94.patch, HBASE-7910.patch.txt
>
>
> security.User class uses reflection so that HBase can work with older Hadoop's not having
security. Now that we require 1.x, or 0.23 or 2.x, all Hadoop versions have security code.
We can get rid of most of the User class. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message